## shanty 3

=== Makefile ===
BIN_DIR=/usr/local/bin

all:
	@echo "Nothing to build, use "make install"

install:
	install -m 0755 shanty "${BIN_DIR}"

=== debian/changelog ===
shanty (3-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild on buildd with .buildinfo files. (Closes: #962705)
  * Modernize packaging:
    + Migrate to "3.0 (quilt)" source format. (Closes: #670951)
    + Bump debhelper compat to v13. (Closes: #965816)
    + Migrate to debhelper dh sequencer.
    + Switch priority back to optional.
  * debian/control: Add missing dep substitution variables.

 -- Boyuan Yang <byang@debian.org>  Fri, 25 Dec 2020 16:10:37 -0500

shanty (3-4) unstable; urgency=low

  * Priority changed to extra.
  * Added Homepage header.
  * Updated Standards-Version.
  * Added patch descriptions.
  * Minor updates on debian/rules.
  * Changed to <bencer@debian.org> address.

 -- Jorge Salamero Sanz <bencer@debian.org>  Tue, 08 Jul 2008 12:51:38 +0200

shanty (3-3) unstable; urgency=low

  * Debian Policy update and a bit of clean-up

 -- Jorge Salamero Sanz <bencer@cauterized.net>  Mon,  5 Mar 2007 21:21:06 +0100

shanty (3-2) unstable; urgency=low

  * Takes default papersize from /etc/papersize if exists, closes: #334151

 -- Jorge Salamero Sanz <bencer@cauterized.net>  Tue, 18 Oct 2005 01:43:13 +0200

oshanty (3-1) unstable; urgency=low

  * Initial release, closes: #332412

 -- Jorge Salamero Sanz <bencer@cauterized.net>  Mon,  3 Oct 2005 18:10:03 +0200

=== debian/control ===
Source: shanty
Section: graphics
Priority: optional
Maintainer: Jorge Salamero Sanz <bencer@debian.org>
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.5.1
Homepage: http://www.codebunny.org/coding/shanty/

Package: shanty
Architecture: all
Depends:
 libgd-gd2-perl | libgd-gd2-noxpm-perl,
 ${misc:Depends},
 ${perl:Depends},
Description: Makes a whopping great postscript file from an image and a text
 Shanty takes a text file and an image (PNG or JPG) and creates a PostScript
 file where one pixel in the image becomes one character in the PostScript.
 .
 You can use it for making posters with the source and logo of your favourite
 project or with the letter and a photograph of your favourite group.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

# disable upstream Makefile
override_dh_auto_build:

# disable upstream Makefile
override_dh_auto_install:

=== debian/watch ===
# watch control file for uscan
version=3
http://www.codebunny.org/coding/shanty/index.html download/shanty-(.*)\.tar\.gz
